Oversoul = {}
Oversoul.__index = Oversoul

function Oversoul.LoadAssets(me)
	LoadModel(me,"Square","Billboard","BlueCircle.png")
end

function Oversoul:Params(me)
	SetMaxSize(me,400)
	ParamScale(me,12)
	ParamOnTop(me,true)
	ParamAlphaType(me,1)
end

function Oversoul:Create(me)
	CreateLine(me,math.random(-180,180),math.random(10,30),3)
	CreateLine(me,math.random(-180,180),math.random(10,30),3)
	CreateLine(me,math.random(-180,180),math.random(10,30),3)
	CreateLine(me,math.random(-180,180),math.random(10,30),3)
	
	CreateLine(me,math.random(-180,180),math.random(10,30),3)
	CreateLine(me,math.random(-180,180),math.random(10,30),3)
	CreateLine(me,math.random(-180,180),math.random(10,30),3)
	CreateLine(me,math.random(-180,180),math.random(10,30),3)
end